import request from '@/utils/request'

// 查询订单管理-用户资源管理列表
export function listResources(query) {
  return request({
    url: '/computility/resources/list',
    method: 'get',
    params: query
  })
}

// 查询订单管理-用户资源管理详细
export function getResources(id) {
  return request({
    url: '/computility/resources/' + id,
    method: 'get'
  })
}

// 新增订单管理-用户资源管理
export function addResources(data) {
  return request({
    url: '/computility/resources',
    method: 'post',
    data: data
  })
}

// 修改订单管理-用户资源管理
export function updateResources(data) {
  return request({
    url: '/computility/resources',
    method: 'put',
    data: data
  })
}

// 删除订单管理-用户资源管理
export function delResources(id) {
  return request({
    url: '/computility/resources/' + id,
    method: 'delete'
  })
}
